Bug 145350 - lm_sensors 2.8.7 doesn't work with it8712 after the kernel update
Summary: lm_sensors 2.8.7 doesn't work with it8712 after the kernel update
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lm_sensors   
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-17 18:21 UTC by Oleg Makarenko
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-23 15:21:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
We tested, and get same result for AMD64 Opteron, ASUS SK8N Motherboard (37 bytes, text/plain)
2005-01-21 09:04 UTC, Vladimir N.Chernenkov
no flags Details
Problem is resolved by: modprobe it87 force_it87=9191,0xd00 (110 bytes, text/plain)
2005-01-21 10:21 UTC, Vladimir N.Chernenkov
no flags Details

Description Oleg Makarenko 2005-01-17 18:21:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
If you don't edit /etc/sensors.conf sensors doesn't show any values.

If you edit the /etc/sensosr.conf to recognize it8712 (add the chip
it8712-* section) sensors -s complains then on wrong values in
sensors.conf :

#sensors -s

Error: Line 1402: Unknown feature name
Error: Line 1403: Unknown feature name

for all lines in sensors.conf like:
set in0_min ...
set in0_max ...
etc etc


Version-Release number of selected component (if applicable):
lm_sensors-2.8.7-2 kernel-2.6.10-1.741-FC3

How reproducible:
Always

Steps to Reproduce:
1. Update the kernel to 2.6.10-*
2. run sensors -s
3. update /etc/sensors.conf for chip it8712-* and rerun sensors -s
    

Actual Results:  sensors doesn't work, doesn't show any values

Expected Results:  Current voltage, temperature and fan sensors values.

Additional info:

kernel 2.6.10 changes it87 name to it8712 for it8712 chip. Previosly
all it87* were named it87.

That change requires corresponding update for lm_sensors package (both
for /etc/sensors.conf and for the libsensors)

Quick grepping of the latest lm_sensors-2.9.0.tar.gz shows that it
supports it8712 so probably the simple package update will do

Comment 1 Vladimir N.Chernenkov 2005-01-21 09:04:02 UTC
Created attachment 110042 [details]
We tested, and get same result for AMD64 Opteron, ASUS SK8N Motherboard

Comment 2 Vladimir N.Chernenkov 2005-01-21 10:21:39 UTC
Created attachment 110045 [details]
Problem is resolved by:  modprobe it87 force_it87=9191,0xd00

Comment 3 Vladimir N.Chernenkov 2005-01-24 06:58:07 UTC
Comment on attachment 110045 [details]
Problem is resolved by:  modprobe it87 force_it87=9191,0xd00

:
# Attach of sensors module IT8712F with fixed parameters #for it87 (ISA,0xd00):
modprobe it87 force_it87=9191,0xd00
#

Comment 4 Alex Butcher 2005-02-05 23:52:08 UTC
Thanks all - changing the reference from it87 to it8712 in
/etc/sensors.conf and loading the it87 module with
'force_it87=9191,0x290' worked for me with a Gigabyte GA-8PE667 Ultra
board.

Comment 5 Phil Knirsch 2005-05-23 15:21:03 UTC
FC-Devel now contains lm_sensors-2.9.1 which seems to fix the problem.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.